User
Upsert coaches for user
Ensure the provided users are active coaches of the specified connected user.
Required Scopes:
coaching-relationshipwrite
Path Parameters
userId*string
Wingfield user identifier.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response
200Error Responses
400
invalid_schema
Request validation failed.
400
duplicate_entries_provided
Request contains duplicates where uniqueness is required.
400
self_coaching_relationship
A user cannot be assigned as their own coach.
401
missing_api_token
No authentication token provided.
401
invalid_api_token
Invalid or expired authentication token.
403
scope_permission_denied
Insufficient permissions for this operation.
403
user_access_denied
Service is not granted access to the user.
404
user_not_found
User was not found.
curl -X PUT "https://dev.wingfield.systems/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/coaches" \ -H "Content-Type: application/json" \ -d '{ "coachUserIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ] }'{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"birthday": "2019-08-24T14:15:22Z",
"gender": "MALE",
"mainSportType": "TENNIS",
"playingHand": "LEFT"
}
]
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "user_not_found",
"message": "string"
}
}